commit:     6d4fb9eda10343a81b0dfd1d5915c2783e4404b2
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 27 06:54:51 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Nov 27 06:55:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d4fb9ed

games-util/lutris: Bump to version 0.5.4

Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 games-util/lutris/Manifest            |  1 +
 games-util/lutris/lutris-0.5.4.ebuild | 75 +++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/games-util/lutris/Manifest b/games-util/lutris/Manifest
index a2320b17b51..3dfc5ec8dd1 100644
--- a/games-util/lutris/Manifest
+++ b/games-util/lutris/Manifest
@@ -1,3 +1,4 @@
 DIST lutris_0.5.2.1.tar.xz 1742968 BLAKE2B 
676f5019260714ab5205366f51a5911e0459f353f6debead49fded4bc8c764b0e621a86b98c7663df2cd9fd3c59c23944d516f8991cd455c271b10ef02c485eb
 SHA512 
1aaf69be8bdfb72a427e10c4c73ad06c80ebda59a5dd0bfc6d484240250160770854ad28698d3d60af1e3f19b58ade973ab688c6416169df3a4c6ab3c0981301
 DIST lutris_0.5.2.2.tar.xz 1742640 BLAKE2B 
683ebb790ccae20fd939bdd8338a5940cbd1151a7d3b476679291f1fc84278c77ebcc9676c3701e491664563281b884067ca85cf1ff10e79545186deea046078
 SHA512 
634182676f7ff921bc0d320aa130203f37cfec83acea397d24001c41647e35600ab4709e67ffda5f5e5b08b2b5018bbf78609ef7d4f70ed93c965d0fb5f2309f
 DIST lutris_0.5.3.tar.xz 1821184 BLAKE2B 
cf4d1fee654202c88d98414ab7d9efbb76d77887007b8a66ee62313b3c672a7e515777fc360a6faca84c3d7f324503e81846b5c413011a4f961df6753467cf7a
 SHA512 
85ae405d711f86c0b610030464030748b0deaa5f858dee72f31fab0268ea1428aaa2c1af7cf3acc17e6d455dae5d870203224ff8c99f1b3b48d753de7c86574e
+DIST lutris_0.5.4.tar.xz 1843880 BLAKE2B 
f286d62df3bf5a5eadd634d2d177a5b69b5fa5d897e70f58a19be4148609e56ba33c29ce4218ae833dbdf9dded1e9be869f9ed4d84ba2b435a09981219d74438
 SHA512 
81669f2021063229bad78ebc49b54075058266716279695c53c43a5a06a8c1d4e5a9dcbcb20a1becfe0d243aa6e812f5a30b4d90f418d4cffcff18daefb09c50

diff --git a/games-util/lutris/lutris-0.5.4.ebuild 
b/games-util/lutris/lutris-0.5.4.ebuild
new file mode 100644
index 00000000000..37e850aab99
--- /dev/null
+++ b/games-util/lutris/lutris-0.5.4.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE="sqlite,threads(+)"
+
+inherit distutils-r1 virtualx xdg
+
+DESCRIPTION="An open source gaming platform for GNU/Linux"
+HOMEPAGE="https://lutris.net/";
+
+if [[ ${PV} == *9999* ]] ; then
+       EGIT_REPO_URI="https://github.com/lutris/lutris.git";
+       inherit git-r3
+else
+       SRC_URI="https://lutris.net/releases/${P/-/_}.tar.xz";
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/${PN}"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+BDEPEND="
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+RDEPEND="
+       app-arch/cabextract
+       app-arch/p7zip
+       app-arch/unrar
+       app-arch/unzip
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       dev-python/python-evdev[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       gnome-base/gnome-desktop[introspection]
+       media-sound/fluid-soundfont
+       net-libs/libsoup
+       net-libs/webkit-gtk:4[introspection]
+       x11-apps/mesa-progs
+       x11-apps/xgamma
+       x11-apps/xrandr
+       x11-libs/gtk+:3[introspection]
+       x11-libs/libnotify
+"
+
+python_install_all() {
+       local DOCS=( AUTHORS README.rst docs/installers.rst )
+       distutils-r1_python_install_all
+}
+
+python_test() {
+       virtx nosetests -v || die
+}
+
+pkg_preinst() {
+       xdg_pkg_preinst
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       # Quote README.rst
+       elog "Lutris installations are fully automated through scripts, which 
can"
+       elog "be written in either JSON or YAML. The scripting syntax is 
described"
+       elog "in ${EROOT}/usr/share/doc/${PF}/installers.rst.bz2, and is also"
+       elog "available online at lutris.net."
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+}

Reply via email to